petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCheckPointSF

Check that several necessary conditions are met for the point SF of this plex.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckPointSF(DM dm)

### Input Parameters

dm -The DMPlex object

### Notes

This is mainly intended for debugging/testing purposes. It currently checks only meshes with no partition overlapping.

### See Also

DMGetPointSF(), DMPlexCheckSymmetry(), DMPlexCheckSkeleton(), DMPlexCheckFaces()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/examples/tutorials/ex5.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages